<ng-container *ngIf="errors && errors['required']">{{errorPrefix}} is required.<br/></ng-container>
<ng-container *ngIf="errors && errors['notUnique']">{{errorPrefix}} is not unique.<br/></ng-container>
<ng-container *ngIf="errors && errors['email']">Please enter a valid email.<br/></ng-container>
<ng-container *ngIf="errors && errors['minlength'] && !isPassword">Minimum length is {{minLength}}.<br/></ng-container>
<ng-container *ngIf="errors && errors['minlength'] && isPassword">Minimum password length is {{minLength}} characters.<br/></ng-container>
<ng-container *ngIf="errors && errors['maxlength']">Maximum length is {{maxLength}}.<br/></ng-container>
<ng-container *ngIf="errors && errors['hasNumber']">Must contain at least 1 number.<br/></ng-container>
<ng-container *ngIf="errors && errors['ccNumber']">Enter valid credit card number.<br/></ng-container>
<ng-container *ngIf="errors && errors['expDate']">Enter valid expiry date.<br/></ng-container>

<ng-container *ngIf="errors && errors['pattern']">{{patternError}}<br/></ng-container>
<ng-container *ngIf="errors && errors['isPasswordCorrect']">{{errorPrefix}} is incorrect<br/></ng-container>
<ng-container *ngIf="errors && errors['hasCapitalCase']">{{errorPrefix}} must contain at least 1 Letter in Capital Case.<br/></ng-container>
<ng-container *ngIf="errors && errors['validPhone']">Must Enter Valid Mobile Number.<br/></ng-container>
<ng-container *ngIf="errors && errors['hasSmallCase']">{{errorPrefix}} must contain at least 1 Letter in Small Case<br/></ng-container>
<ng-container *ngIf="errors && errors['hasSpecialCharacters']">{{errorPrefix}} must contain at least 1 special character.<br/></ng-container>
<ng-container *ngIf="errors && errors['mustMatch']">Password and confirm password do not match.<br/></ng-container>
<ng-container *ngIf="errors && errors['emailTaken']">Email already registered in our system.<br/></ng-container>
<ng-container *ngIf="errors && errors['emailNotExist']">Email do not exist in our system.<br/></ng-container>
<ng-container *ngIf="errors && isInteger && errors['min']">{{errorPrefix}}should be minimum {{minIntegerValue}}.<br /></ng-container>